com.google.web.bindery.requestfactory.shared

## Interface EntityProxyId<P extends EntityProxy>

Type Parameters:
  `P` - the entity type

    public interface EntityProxyId<P extends EntityProxy>

A stable, opaque id of an `EntityProxy` that remains stable across updates, creates, deletes on the client.

In particular, an `EntityProxy` foo that is yet to be persisted and a copy of foo after being persisted have equal `EntityProxyId`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<P>` `getProxyClass()` Returns the class of the proxy identified.

### Method Detail

#### getProxyClass

    java.lang.Class<P> getProxyClass()

Returns the class of the proxy identified.

Returns:
  a Class object of type P